{% extends "layout.html" %}

{% block title %}
{{page.title}}
{% endblock %}

{% block head %}
    {{ super() }}
{% endblock %}

{% block content %}
<div class="invoice p-3 mb-3">
    <div class="row">
        <div class="col-12">
            <h4>
                <img src="/static/img/logo.png" alt="logo" width="220" height="100">
                <small class="float-right">{{page.layout.translate("Date", page.user.lang)}}: 2/6/2020</small>
            </h4>
        </div>
    </div>
    <div class="row invoice-info">
        <div class="col-sm-4 invoice-col">
            <h3><b>{{page.layout.translate("Invoice", page.user.lang)}}</b></h3>
            <br>
            <b>Invoice ID:</b> {{invoice.description.id}}<br>
            <b>Period:</b> {{invoice.description.period.month}}-{{invoice.description.period.year}}<br>
            <b>Account:</b> {{page.user.id}}
        </div>
        <div class="col-sm-4 invoice-col">
            <strong>From:</strong>
            <address>
                {{page.layout.company_name}}<br>
                {{page.layout.company_address}}<br>
                {{page.layout.company_zip}}, {{page.layout.company_city}}<br>
                Phone: {{page.layout.company_phone}}<br>
                Email: {{page.layout.company_email}}
            </address>
        </div>
        <div class="col-sm-4 invoice-col">
            <strong>To</strong>
            <address>
                {{page.user.first_name}} {{page.user.last_name}}<br>
                {{page.user.contact.address_1}}<br>
                {{page.user.contact.address_2}}<br>
                Phone: (+{{page.user.contact.phone.country_code}}) {{page.user.contact.phone.number}}<br>
                Email: {{page.user.contact.email}}
            </address>
        </div>
    </div>
    <div class="row">
        <div class="col-12 table-responsive">
            <table class="table table-striped table-bordered">
                <thead>
                <tr>
                    <th>Number</th>
                    <th>Tariff</th>
                    <th>Calls duration</th>
                    <th>Calls number</th>
                    <th>Cost ({{page.user.currency.iso_code}})</th>
                </tr>
                </thead>
                <tbody>
                {% for number in invoice.details %}
                <tr>
                    <td>(+{{number.country_code}}){{number.number}}</td>
                    <td>{{number.tariff}}</td>
                    <td>{{number.call_duration}}</td>
                    <td>{{number.call_number}}</td>
                    <td>{{number.value}}</td>
                </tr>
                {% endfor %}
                </tbody>
            </table>
        </div>
    </div>
    <div class="row">
        <div class="col-6"></div>
        <div class="col-6">
            <p class="lead">Amount Due {{invoice.description.period.month}}-{{invoice.description.period.year}}</p>
            <div class="table-responsive">
                <table class="table table-bordered">
                    <tr>
                        <th>Total calls number:</th>
                        <td>{{invoice.description.call_number}}</td>
                    </tr>
                    <tr>
                        <th>Total calls duration</th>
                        <td>{{invoice.description.call_duration}}</td>
                    </tr>
                    <tr>
                        <th>Total out of taxe ({{page.user.currency.iso_code}})</th>
                        <td>{{invoice.description.pre_value}}</td>
                    </tr>
                    <tr>
                        <th>Discount (%)</th>
                        <td>{{invoice.description.discount}}</td>
                    </tr>
                    <tr>
                        <th>VAT (%)</th>
                        <td>{{invoice.description.vat}}</td>
                    </tr>
                    <tr>
                        <th>Value</th>
                        <td>{{invoice.description.value}}</td>
                    </tr>
                </table>
            </div>
        </div>
    </div>
    <div class="row no-print">
        <div class="col-12">
            <button type="button" class="btn btn-success float-right"><i class="far fa-credit-card"></i>
                Submit payment
            </button>
            <button type="button" class="btn btn-primary float-right" style="margin-right: 5px;" onclick="window.print()">
                <i class="fas fa-print"></i> Print
            </button>
        </div>
    </div>
</div>
{% endblock %}


{% block subscribe_script %}
{% endblock %}